%define	name	kile
%define	version	1.9.3
%define	release	%mkrel 1
%define	Summary	Integrated LaTeX Environment for KDE3
%define qtdir	%{_prefix}/lib/qt3/%{_lib}

Name:		%{name}
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Epoch:		1
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	tetex-latex
BuildRequires:	kdelibs-devel
Patch1:			kile-1.8-fix-blacklisted-gcc.patch.bz2
Patch2:		kile-1.8.1-i18n-de.patch.bz2
Obsoletes:	kile-i18n-de, kile-i18n-es, kile-i18n-fr, kile-i18n-it, kile-i18n-nl, kile-i18n-pt, kile-i18n-en_GB, kile-i18n-da, kile-i18n-pt_BR,kile-i18n-sv, kile-i18n-ta
Provides:	kile-i18n-de >= 1.8.0
Provides:	kile-i18n-es >= 1.8.0
Provides:	kile-i18n-fr >= 1.8.0
Provides:	kile-i18n-it >= 1.8.0
Provides:	kile-i18n-nl >= 1.8.0
Provides:	kile-i18n-pt >= 1.8.0
Provides:	kile-i18n-en_GB >= 1.8.0
Provides:	kile-i18n-da >= 1.8.0
Provides:	kile-i18n-pt_BR	>= 1.8.0
Provides:	kile-i18n-sv >= 1.8.0
Provides:	kile-i18n-ta >= 1.8.0


%description
Integrated LaTeX Environment for KDE3

%prep
%setup -q
%patch1 -p1 -b .fix_unblacklist_gcc

%build
make -f admin/Makefile.common
QTDIR=%{qtdir}
export QTDIR
%configure2_5x	--disable-rpath \
		--disable-debug \
		--enable-final
%make


%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %name Office/Publishing %buildroot/%_datadir/applications/kde/kile.desktop %buildroot/%_menudir/kile kde

rm -rf $RPM_BUILD_ROOT/%_datadir/apps/katepart/syntax/latex.xml
rm -rf $RPM_BUILD_ROOT/%_datadir/apps/katepart/syntax/bibtex.xml

rm -rf $RPM_BUILD_ROOT/%_datadir/INSTALL
rm -rf $RPM_BUILD_ROOT/%_datadir/README
rm -rf $RPM_BUILD_ROOT/%_datadir/AUTHORS
rm -rf $RPM_BUILD_ROOT/%_datadir/NEWS
rm -rf $RPM_BUILD_ROOT/%_datadir/TODO
rm -rf $RPM_BUILD_ROOT/%_datadir/COPYING

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%{update_desktop_database}
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%{clean_desktop_database}
%endif

%files -f %name.lang
%defattr(-,root,root,0755)
%doc INSTALL README

%_menudir/*
%_bindir/*

%_datadir/applications/kde/kile.desktop
%_datadir/mimelnk/text/*

%dir %_datadir/apps/kile/
%_datadir/apps/kile/*.rc

%dir %_datadir/apps/kile/mathsymbols/
%_datadir/apps/kile/mathsymbols/*.png

%dir %_datadir/apps/kile/pics/
%_datadir/apps/kile/pics/*.png

%dir %_datadir/apps/kile/templates/
%_datadir/apps/kile/templates/*.tex


%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*.upd
%_datadir/apps/kconf_update/*.pl

%dir %_datadir/apps/kile/complete/abbreviation/
%_datadir/apps/kile/complete/abbreviation/*.cwl

%dir %_datadir/apps/kile/complete/dictionary/
%_datadir/apps/kile/complete/dictionary/*.cwl

%dir %_datadir/apps/kile/complete/tex/
%_datadir/apps/kile/complete/tex/*.cwl

%dir %_datadir/apps/kile/encodings/
%_datadir/apps/kile/encodings/*.enc

%dir %_datadir/apps/kile/help/
%_datadir/apps/kile/help/*.lst

%dir %_datadir/apps/kile/icons/hicolor/16x16/actions/
%_datadir/apps/kile/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/kile/icons/hicolor/22x22/actions/
%_datadir/apps/kile/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/kile/icons/hicolor/32x32/actions/
%_datadir/apps/kile/icons/hicolor/32x32/actions/*.png

%dir %_datadir/apps/kile/icons/hicolor/64x64/actions/
%_datadir/apps/kile/icons/hicolor/64x64/actions/*.png

%dir %_datadir/apps/kile/test/
%_datadir/apps/kile/test/*.sh
%_datadir/apps/kile/test/*.bib
%_datadir/apps/kile/test/*.tex

%_datadir/apps/kile/tips

%_datadir/config.kcfg/kile.kcfg
%doc %_docdir/HTML/en/kile/TODO
%doc %_docdir/HTML/en/kile/common
%doc %_docdir/HTML/en/kile/*.bz2
%doc %_docdir/HTML/en/kile/*.docbook
%doc %_docdir/HTML/en/kile/*.html
%doc %_docdir/HTML/en/kile/*.png

%doc %_docdir/HTML/es/kile/common
%doc %_docdir/HTML/es/kile/*.png
%doc %_docdir/HTML/es/kile/*.docbook
%doc %_docdir/HTML/es/kile/*.bz2

%dir %_docdir/HTML/da/kile/
%doc %_docdir/HTML/da/kile/common
%doc %_docdir/HTML/da/kile/*.bz2
%doc %_docdir/HTML/da/kile/*.docbook

%dir %_docdir/HTML/et/kile/
%doc %_docdir/HTML/et/kile/common
%doc %_docdir/HTML/et/kile/*.bz2
%doc %_docdir/HTML/et/kile/*.docbook


%dir %_docdir/HTML/it/kile/
%doc %_docdir/HTML/it/kile/common
%doc %_docdir/HTML/it/kile/*.bz2
%doc %_docdir/HTML/it/kile/*.docbook
%doc %_docdir/HTML/it/kile/*.png

%dir %_docdir/HTML/nl/kile/
%doc %_docdir/HTML/nl/kile/common
%doc %_docdir/HTML/nl/kile/*.bz2
%doc %_docdir/HTML/nl/kile/*.docbook

%dir %_docdir/HTML/pt/kile/
%doc %_docdir/HTML/pt/kile/common
%doc %_docdir/HTML/pt/kile/*.bz2
%doc %_docdir/HTML/pt/kile/*.docbook

%dir %_docdir/HTML/sv/kile/
%doc %_docdir/HTML/sv/kile/common
%doc %_docdir/HTML/sv/kile/*.bz2
%doc %_docdir/HTML/sv/kile/*.docbook
%doc %_docdir/HTML/sv/kile/*.png



%_iconsdir/hicolor/128x128/apps/kile.png
%_iconsdir/hicolor/16x16/apps/kile.png
%_iconsdir/hicolor/22x22/apps/kile.png
%_iconsdir/hicolor/32x32/apps/kile.png
%_iconsdir/hicolor/48x48/apps/kile.png
%_iconsdir/hicolor/64x64/apps/kile.png
%_iconsdir/hicolor/scalable/apps/kile.svgz


%changelog
* Tue Nov 21 2006 Laurent Montel <lmontel@mandriva.com> 1.9.3-1mdv2007.0
+ Revision: 85839
- 1.9.3
- Import kile




* Mon Aug 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9.2-1
- 1.9.2

* Thu Jul 13 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9.1-1
- 1.9.1

* Thu Jul 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1:1.9-3mdv2007.0
- Rebuild for new menu and extension
- Use macro for icons and macro

* Wed May 10 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9-2
- Rebuild to generate category

* Wed Mar 22 2006 Laurent MONTEL <lmontel@mandriva.com> 1.9-1
- 1.9

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8.1-4mdk
- Remove redundant Buildrequires

* Fri Dec 09 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.1-3
- Obsolete kile-i18n

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.1-2mdk
- use %%mkrel
- from Dominik Grafenhofer <dominik@grafenhofer.at>
  - added german GUI translation

* Thu Jun 02 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.1-1mdk
- 1.8.1

* Mon May 23 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8-1mdk
- 1.8
- Necessary to add epoch because previous package was not named correctly :(

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8b2-2mdk
- i18n is not in separate package

* Mon Apr 25 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.8b2-1mdk
- Release: 1.8b2.

* Sat Apr 16 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.8b1-1mdk
- Release: 1.8b1.
- Specify QTDIR (needed for building under X86-64).

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-5mdk
- Fix menu

* Tue Dec 07 2004 Dominik Grafenhofer <dominik@grafenhofer.at> 1.7.1-4mdk
- fixed dependencies of some i18n packages

* Mon Nov 08 2004 Dominik Grafenhofer <dominik@grafenhofer.at> 1.7.1-3mdk
- Added i18n packages
- fix source (the first 1.7.1 tarball was not working)

* Wed Oct 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-2mdk
- Fix conflict

* Mon Oct 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7.1-1mdk
- 1.7.1

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.3-2mdk
- Rebuild

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.3-1mdk
- 1.6.3
- cleanups

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Sun Feb 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1
- fix menu

* Mon Nov 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- 1.6

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.5.2-1mdk
- rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- buildrequires & I hate your bot Stefan ! :-)

* Tue Apr 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- 1.5

* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4-2mdk
- real 1.4
- clean spec

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4
- use lang macro
- clean spec

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.31-3mdk
- Rebuild

* Mon Dec 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.31-2mdk
- 1.31

* Sat Nov 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-2mdk
- Rebuild
- Add patch1 : fix gcc-3.2 compile

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3 

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta1.1mdk
- 1.3beta1

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- Clean spec file ! => Spec file was illegible !
=> Use this spec file for generate suse or redhat package, I don't
think that it's necessary !


* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- 1.2

* Sun Aug 18 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-3mdk
- gcc 3.2 rebuild

* Sun Jul 28 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-2mdk
- Club->cooker
- Buildrequires kdegraphics
* Sun Jul 28 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-1mdk
- Merge Mandrake/Redhat/SuSE Spec files with auto-detection
  of Redhat and Mandrake 8.x, setting prefix accordingly.
- Add icons
- Require tetex-latex
- Prevent kile from owning every dir it has a file in.
